/***********************************************************************************************
											@-Elemente
***********************************************************************************************/
/*Einbinden von Google-Fonts-Schriftarten*/
@import url('https://fonts.googleapis.com/css?family=Teko|ZCOOL+QingKe+HuangYou&display=swap');
@import url('https://fonts.googleapis.com/css?family=Righteous&display=swap');

/*Einbinden der Vocaloid-Schriftart*/
@font-face
{
    font-family: 'vocaloid';
    src: url('../fonts/voc-it-webfont.woff2') format('woff2'),
         url('../fonts/voc-it-webfont.woff') format('woff'),
         url('../fonts/voc-it-webfont.ttf') format('ttf'),
         url('../fonts/voc-it-webfont.otf') format('otf');
    font-weight: normal;
    font-style: normal;
}

/***********************************************************************************************
											HTML-Tags
***********************************************************************************************/
body /*Gesamter Sichtbarer Bereich*/
{
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	background-color: #363636;
	background-attachment: fixed;
}	

p /*Absätze*/
{
	position: relative;
	z-index: 2;
}

header /*Kopfzeile*/
{
	position: relative;
	padding: 0px;
	margin: 0px;
}

main /*Hauptelement*/
{
	font-family: ZCOOL QingKe HuangYou, cursive;
	font-size: 25px;
	line-height: 25px;
}

/***Navigation***/
nav /*Navigationsleiste*/
{
	position: fixed;
	top: 0px;
	left: 0px;
	background: /*rgba(0,226,255,0.24)*/ radial-gradient(circle, #1B78B9 61%, rgba(0,0,0,1) 100%);
	height: 5.5vw;
	width: 100%;
	padding: 1px;
	z-index: 4;
}

nav a /*Navigationslinks*/
{
	color: black;
	text-decoration: none;
}

/***Fußzeile***/
footer /*Fußzeile*/
{
	position: fixed;
	bottom: 0px;
	left: 0px;
	width: 100%;
	height: 20px;
	background-color: blue;
	z-index: 3;
	background-color: #626682;
}

footer a /*Fußzeilenlinks*/
{
	float: right;
	font-family: arial;
	font-size: 10px; 
	color: lightgray;
	text-decoration: none;
	padding: 3px;
}

table /*Tabelle*/
{
	width: 100%;
	overflow-x: scroll;
}

th, td /*Tabellen Übrschrift und Zeile*/
{
	border-bottom: 1px solid #ddd;
	position: relative;
	text-align: center;
}
/***********************************************************************************************
											IDs
***********************************************************************************************/

/****************Hintergründe*****************/
#index body /*Hintergrund der Index Seite*/
{
	background-image: url(../images/bg/home.bg.jpg);
}

#gallery body /*Hintergrund der Gallery Seite*/
{
	background-image: url(../images/bg/gallery.bg.jpg);
}

#expo body /*Hintergrund der Expo Seite*/
{
	background-image: url(../images/bg/expo.bg.jpg);
}

#vocaloid body /*Hintergrund der Vocaloid Seite*/
{
	background-image: url(../images/bg/vocaloid.bg.jpg);
}

#songs body /*Hintergrund der Songs Seite*/
{
	background-image: url(../images/bg/songs.bg.jpg);
}

#about body /*Hintergrund der About Seite*/
{
	background-image: url(../images/bg/about.bg.jpg);
}

#impressum body /*Hintergrund der Impressum Seite*/
{
	background-image: url(../images/bg/impressum.bg.jpg);
}


/************Seitenspezifische Artikel***********/
#about article /*Artikel der About Seite*/
{	
	position: relative;
	background-color: #626682;
	border-radius: 20px;
	padding: 20px;
	padding-right: 150px;
	box-shadow: rgba(221,221,221,0.5) 5px 5px 3px;
	border: 1px solid lightgray;
	left: 4%;
	width: auto;
	max-width: 65%;
	margin-bottom: 50px;
}

#songs article /*Artikel der Songs Seite*/
{
	position: relative;
	background-color: #626682;
	border-radius: 20px;
	padding: 20px 0px;
	box-shadow: rgba(221,221,221,0.5) 5px 5px 3px;
	border: 1px solid lightgray;
	right: 50px;
	left: 4%;
	width: auto;
	max-width: 90%;
	margin-bottom: 50px;
}

#index article /*Artikel der Home seite*/
{	
	position: relative;
	top: 200px;
}

#vocaloid article, #expo article, #gallery article, #impressum article /*Artikel*/
{	
	position: relative;
	background-color: #626682;
	border-radius: 20px;
	padding: 20px;
	box-shadow: rgba(221,221,221,0.5) 5px 5px 3px;
	border: 1px solid lightgray;
	left: 4%;
	width: auto;
	max-width: 90%;
	margin-bottom: 50px;
}



/***********************************************************************************************
											Klassen
***********************************************************************************************/

/******Navigationselemente******/
.nav-item /*Navigationselement*/
{	
	top: 4px;
	border-top: 2px solid black;
	position: relative;
	height: 9%;
	margin: 0px 2px; 
	font-family: vocaloid, Righteous; /*Sollte vocaloid nicht zur verfügung stehen, aufgrund nicht akzeptierter @fontface elemente, wird Righteous genutzt*/
	font-size: 1.5vw;
	text-align: center;
	padding: 2% 1%;
	vertical-align: middle;
	text-shadow: 1px 1px 3px silver;
}

.nav-logo img /*Logo in der Navigationsleiste*/
{	
	top: 2px;
	position: relative;
	height: 98%;
	left: 12vw;
	margin-right: 20vw;
	vertical-align: middle;
}

/******Gallery related******/
.pics figure /*figure Container innerhalb der pics Klasse*/
{
	width: auto;
	height: 300px;
	position: relative;
	border: 1px black solid;
	border-radius: 2px;
	margin: 1px;
}

.pics figure img /*Bilder innerhalb eines figure Containers innerhalb der pics Klasse*/
{
	position: relative;
	border: 1px black solid;
	border-radius: 2px;
	width: auto;
	height: 90%;
}

.modules figure /*figure Container innerhalb der modules Klasse*/
{
	width: 204px;
	height: auto;
	position: relative;
	border: 1px black solid;
	border-radius: 20px;
}

.modules figure img /*Bilder innerhalb eines figure Containers innerhalb der modules Klasse*/
{
	position: relative;
	border: 1px black solid;
	border-radius: 20px;
	width: 100%;
}

.pics /*Klasse für Bild Container*/
{
	padding: 5px;
}

/******Sonstiges*******/
.überschrift /*Überschriften*/
{
	position: relative;
	display: inline-block;
	font-family: vocaloid, Righteous; /*Sollte vocaloid nicht zur verfügung stehen, aufgrund nicht akzeptierter @fontface elemente, wird Righteous genutzt*/
	top: 15px;
	font-size: 5vw;
	color: #1B78B9;
	text-shadow: 2px 2px 4px;
	padding: 0px;
	-webkit-text-stroke: 2px black;
}

.content a /*Link*/
{
	color: #1B78B9;
	text-decoration: underline;
	-webkit-text-stroke: 1px black;
}

.aboutImg /*Bilder der About Seite*/
{
	position: absolute;
	z-index: 1;
	right: -150px;
	height: 100%;
	max-height: 500px;
	bottom: 0px;
	display: inline;
}

.content /*Inhaltsklasse*/
{
	text-align: left;
}

.content h1 /*Inhaltsinterne Überschriften*/
{
	line-height: 45px;
	position: relative;
	top: -10px;
	z-index: 0;
}

.wrap /*Wrapping Klasse*/
{
	display: flex;
	flex-wrap: wrap;
}

.center /*Centierklasse*/
{
	justify-content: center;
}

.ytvid /*YouTube eingebettetes Video*/
{
	width: 100%;
	height: 720px;
	border: 2px solid #1B78B9;
	border-radius: 50px;
}

/***********************************************************************************************
										Farbklassen
***********************************************************************************************/
.pinkdurch /*Farblasse Durchsichtiges Pink*/
{
	color: rgba(255,0,100,0.562062324929972);
}

.weiß /*Farbklasse Weiß*/
{
	color: #dbdbdb;
}

/***********************************************************************************************
										Pseudoklassen
***********************************************************************************************/
/***Generell***/
tr:hover /*Tabellenreihe beim Anvisieren*/
{
	background-color: #CE60A8;
}

a:hover /*Links beim anvisieren*/
{
	color: #CE60A8;
}

/***Navigation***/
.nav-logo img:hover /*Logo beim anvisieren*/
{
	filter: invert(1);
	cursor: url(../cursors/lauch.png) 10 10, auto;
}

.nav-item:hover /*Navigationselement beim Anvisieren*/
{
	color: white;
	background: linear-gradient(180deg, rgba(121,9,118,0.6460959383753502) 0%, rgba(0,0,0,0) 100%); 
	border-top: 2px solid white;
	text-shadow: 1px 1px 3px magenta;
	cursor: url(../cursors/lauch.png) 10 10, auto;
}